Bug 144466 - mod_auth_mysql enabled even if not configured
Summary: mod_auth_mysql enabled even if not configured
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mod_auth_mysql   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 137160 145334
TreeView+ depends on / blocked
 
Reported: 2005-01-07 13:24 UTC by Joe Orton
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-111
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-09 12:59:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:111 low SHIPPED_LIVE mod_auth_mysql bug fix update 2005-06-09 04:00:00 UTC

Description Joe Orton 2005-01-07 13:24:12 UTC
Description of problem:
mod_auth_mysql defaults to "enabled" so will attempt to process any
attempts at basic auth even if another module is enabled.

Version-Release number of selected component (if applicable):
mod_auth_mysql-2.6.1-2.1.i386

How reproducible:
Always

Workaround:
1. configure "AuthMysqlEnable off" in auth location not using MySQL, or
2. remove mod_auth_mysql

Comment 1 Jay Turner 2005-04-05 11:34:54 UTC
Fix confirmed in mod_auth_mysql-2.6.1-2.2 which is included in U1-candidate
composes.

Comment 2 Tim Powers 2005-06-09 12:59:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-111.html



Note You need to log in before you can comment on or make changes to this bug.